Bug 1001840 - python-Rtree fails with wrong SONAME
python-Rtree fails with wrong SONAME
Product: Fedora
Classification: Fedora
Component: python-Rtree (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-27 19:03 EDT by Philip Rowlands
Modified: 2014-02-17 16:08 EST (History)
1 user (show)

See Also:
Fixed In Version: python-Rtree-0.7.0-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-17 16:04:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Rowlands 2013-08-27 19:03:25 EDT
Description of problem:
The rtree module provided with python-Rtree fails to load, because it's trying to dlopen the wrong file.

$ rpm -q python-Rtree

$ python -c 'import rtree'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/rtree/__init__.py", line 1, in <module>
    from index import Rtree
  File "/usr/lib/python2.7/site-packages/rtree/index.py", line 2, in <module>
    import core
  File "/usr/lib/python2.7/site-packages/rtree/core.py", line 85, in <module>
    rt = ctypes.CDLL(lib_name)
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 360, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: libspatialindex_c.so: cannot open shared object file: No such file or directory

$ readelf -d /usr/lib64/libspatialindex_c.so.3 | grep soname
 0x000000000000000e (SONAME)             Library soname: [libspatialindex_c.so.3]

The code in rtree/core.py should open libspatialindex_c by its SONAME (or libspatialindex should change its SONAME, don't mind which).
Comment 1 Fedora Update System 2014-02-08 08:29:24 EST
python-Rtree-0.7.0-5.fc20 has been submitted as an update for Fedora 20.
Comment 2 Fedora Update System 2014-02-08 08:29:34 EST
python-Rtree-0.7.0-5.fc19 has been submitted as an update for Fedora 19.
Comment 3 Volker Fröhlich 2014-02-08 08:29:42 EST
Sorry it took so long!
Comment 4 Fedora Update System 2014-02-08 22:51:18 EST
Package python-Rtree-0.7.0-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-Rtree-0.7.0-5.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-02-17 16:04:00 EST
python-Rtree-0.7.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-02-17 16:08:26 EST
python-Rtree-0.7.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.